# Class DayPilotMonth

java.lang.Object
org.daypilot.ui.DayPilotMonth

public class DayPilotMonth extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DayPilotMonth()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBackColor()`
  `JSONObject`
  `getClientState()`
  `String`
  `getDataEndField()`
  `String`
  `getDataRecurrenceField()`
  `String`
  `getDataStartField()`
  `String`
  `getDataTagFields()`
  `String`
  `getDataTextField()`
  `String`
  `getDataValueField()`
  `Collection`
  `getEvents()`
  `String`
  `getEventSortExpression()`
  `String`
  `getHeaderBackColor()`
  `String`
  `getId()`
  `Locale`
  `getLocale()`
  `String`
  `getNonBusinessBackColor()`
  `javax.servlet.http.HttpServletRequest`
  `getRequest()`
  `javax.servlet.http.HttpServletResponse`
  `getResponse()`
  `DateTime`
  `getStartDate()`
  `TimeFormat`
  `getTimeFormat()`
  `UpdateType`
  `getUpdateType()`
  `ViewType`
  `getViewType()`
  `DateTime`
  `getVisibleEnd()`
  `DateTime`
  `getVisibleStart()`
  `int`
  `getWeeks()`
  `WeekStarts`
  `getWeekStarts()`
  `boolean`
  `isCssOnly()`
  `boolean`
  `isShowWeekend()`
  `boolean`
  `isUseUtcDates()`
  `void`
  `onBeforeCellRender(BeforeCellRenderArgs ea)`
  `void`
  `onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea)`
  `void`
  `onBeforeEventRender(BeforeEventRenderArgs ea)`
  `void`
  `onBeforeHeaderRender(BeforeHeaderRenderArgs ea)`
  `void`
  `onCommand(CommandArgs ea)`
  `void`
  `onEventBubble(EventBubbleArgs ea)`
  `void`
  `onEventClick(EventClickArgs ea)`
  `void`
  `onEventDelete(EventDeleteArgs ea)`
  `void`
  `onEventMenuClick(EventMenuClickArgs ea)`
  `void`
  `onEventMove(EventMoveArgs ea)`
  `void`
  `onEventResize(EventResizeArgs ea)`
  `void`
  `onEventRightClick(EventRightClickArgs ea)`
  `void`
  `onFinish()`
  `void`
  `onInit()`
  `void`
  `onNotify(NotifyArgs ea)`
  `void`
  `onPrepare()`
  `void`
  `onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea)`
  `void`
  `onTimeRangeMenuClick(TimeRangeMenuClickArgs ea)`
  `void`
  `onTimeRangeSelected(TimeRangeSelectedArgs ea)`
  `void`
  `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
  `void`
  `setBackColor(String backColor)`
  `void`
  `setClientState(JSONObject clientState)`
  `void`
  `setCssOnly(boolean cssOnly)`
  `void`
  `setDataEndField(String dataEndField)`
  `void`
  `setDataRecurrenceField(String dataRecurrenceField)`
  `void`
  `setDataStartField(String dataStartField)`
  `void`
  `setDataTagFields(String dataTagFields)`
  `void`
  `setDataTextField(String dataTextField)`
  `void`
  `setDataValueField(String dataValueField)`
  `void`
  `setEvents(Collection events)`
  `void`
  `setEventSortExpression(String eventSortExpression)`
  `void`
  `setHeaderBackColor(String headerBackColor)`
  `void`
  `setLocale(Locale locale)`
  `void`
  `setNonBusinessBackColor(String nonBusinessBackColor)`
  `void`
  `setShowWeekend(boolean showWeekend)`
  `void`
  `setStartDate(DateTime startDate)`
  `void`
  `setTimeFormat(TimeFormat timeFormat)`
  `void`
  `setUpdateType(UpdateType updateType)`
  `void`
  `setUseUtcDates(boolean useUtcDates)`
  `void`
  `setViewType(ViewType viewType)`
  `void`
  `setWeeks(int weeks)`
  `void`
  `setWeekStarts(WeekStarts weekStarts)`
  `void`
  `update()`
  Updates the client (using CallBackUpdateType.EVENTS_ONLY).
  `void`
  `update(UpdateType updateType)`
  `void`
  `updateWithMessage(String message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DayPilotMonth

    public DayPilotMonth()

- ## Method Details

  - ### onEventDelete

    public void onEventDelete(EventDeleteArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeMenuClick

    public void onTimeRangeMenuClick(TimeRangeMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeDoubleClick

    public void onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventRightClick

    public void onEventRightClick(EventRightClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventMenuClick

    public void onEventMenuClick(EventMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventClick

    public void onEventClick(EventClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onCommand

    public void onCommand(CommandArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onNotify

    public void onNotify(NotifyArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventBubble

    public void onEventBubble(EventBubbleArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventMove

    public void onEventMove(EventMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventResize

    public void onEventResize(EventResizeArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onInit

    public void onInit() throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeSelected

    public void onTimeRangeSelected(TimeRangeSelectedArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onFinish

    public void onFinish() throws Exception
    Throws:
      `Exception`

  - ### onPrepare

    public void onPrepare() throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRender

    public void onBeforeEventRender(BeforeEventRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRecurrence

    public void onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeCellRender

    public void onBeforeCellRender(BeforeCellRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeHeaderRender

    public void onBeforeHeaderRender(BeforeHeaderRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### process

    public void process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### getDataValueField

    public String getDataValueField()

  - ### setDataValueField

    public void setDataValueField(String dataValueField)

  - ### getDataTextField

    public String getDataTextField()

  - ### setDataTextField

    public void setDataTextField(String dataTextField)

  - ### getDataStartField

    public String getDataStartField()

  - ### setDataStartField

    public void setDataStartField(String dataStartField)

  - ### getDataEndField

    public String getDataEndField()

  - ### setDataEndField

    public void setDataEndField(String dataEndField)

  - ### getEvents

    public Collection getEvents()

  - ### setEvents

    public void setEvents(Collection events)

  - ### update

    public void update(UpdateType updateType)

  - ### update

    public void update()
    Updates the client (using CallBackUpdateType.EVENTS_ONLY).

  - ### updateWithMessage

    public void updateWithMessage(String message)

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  - ### getUpdateType

    public UpdateType getUpdateType()

  - ### setUpdateType

    public void setUpdateType(UpdateType updateType)

  - ### getStartDate

    public DateTime getStartDate()

  - ### setStartDate

    public void setStartDate(DateTime startDate)

  - ### getVisibleStart

    public DateTime getVisibleStart()

  - ### getVisibleEnd

    public DateTime getVisibleEnd()

  - ### getEventSortExpression

    public String getEventSortExpression()

  - ### setEventSortExpression

    public void setEventSortExpression(String eventSortExpression)

  - ### getDataTagFields

    public String getDataTagFields()

  - ### setDataTagFields

    public void setDataTagFields(String dataTagFields)

  - ### getWeekStarts

    public WeekStarts getWeekStarts()

  - ### setWeekStarts

    public void setWeekStarts(WeekStarts weekStarts)

  - ### isShowWeekend

    public boolean isShowWeekend()

  - ### setShowWeekend

    public void setShowWeekend(boolean showWeekend)

  - ### getHeaderBackColor

    public String getHeaderBackColor()

  - ### setHeaderBackColor

    public void setHeaderBackColor(String headerBackColor)

  - ### getBackColor

    public String getBackColor()

  - ### setBackColor

    public void setBackColor(String backColor)

  - ### getNonBusinessBackColor

    public String getNonBusinessBackColor()

  - ### setNonBusinessBackColor

    public void setNonBusinessBackColor(String nonBusinessBackColor)

  - ### getLocale

    public Locale getLocale()

  - ### setLocale

    public void setLocale(Locale locale)

  - ### getId

    public String getId()

  - ### getTimeFormat

    public TimeFormat getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(TimeFormat timeFormat)

  - ### isCssOnly

    public boolean isCssOnly()

  - ### setCssOnly

    public void setCssOnly(boolean cssOnly)

  - ### isUseUtcDates

    public boolean isUseUtcDates()

  - ### setUseUtcDates

    public void setUseUtcDates(boolean useUtcDates)

  - ### getViewType

    public ViewType getViewType()

  - ### setViewType

    public void setViewType(ViewType viewType)

  - ### getWeeks

    public int getWeeks()

  - ### setWeeks

    public void setWeeks(int weeks)

  - ### getDataRecurrenceField

    public String getDataRecurrenceField()

  - ### setDataRecurrenceField

    public void setDataRecurrenceField(String dataRecurrenceField)

  - ### getClientState

    public JSONObject getClientState()

  - ### setClientState

    public void setClientState(JSONObject clientState)